<template>
  <h1>Axios Ajax</h1>
  <div v-for="(info, index) in lstInfo" :key="index">{{ info }}</div>

  <button @click="queryData">Action</button>
</template>

<script>
import "jquery/dist/jquery.min.js";
import $ from "jquery";
export default {
  name: "AxiosAjax",
  data() {
    return {
      lstInfo: ["A", "B", "C"],
    };
  },
  mounted() {
      var that = this;
      $.ajax({
        url: "http://localhost:5000/data",
        data: {},
        type: "GET",
        success: function (data) {
          console.log(data);
          that.lstInfo = data;
        },
        error: function (xhr) {
          alert("Ajax request 發生錯誤");
        },
      });
  },
  methods: {
    queryData() {
      var that = this;
      $.ajax({
        url: "http://localhost:5000/data/msg",
        data: {},
        type: "GET",
        success: function (data) {
          console.log(data);
          that.lstInfo = data;
        },
        error: function (xhr) {
          alert("Ajax request 發生錯誤");
        },
      });
    },
  },
};
</script>
